Bug 1740844 - Refresh of a dynamic field will hang if the name of the field contains word “password”
Summary: Refresh of a dynamic field will hang if the name of the field contains word “...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.9
Assignee: Tina Fitzgerald
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1705021
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-13 17:41 UTC by Satoe Imaishi
Modified: 2019-11-19 22:36 UTC (History)
16 users (show)

Fixed In Version: 5.10.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1705021
Environment:
Last Closed: 2019-09-05 05:25:21 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2587 None None None 2019-09-05 05:25:29 UTC

Comment 2 CFME Bot 2019-08-14 17:17:30 UTC
New commit detected on ManageIQ/manageiq-api/hammer:

https://github.com/ManageIQ/manageiq-api/commit/1571d1be96d24e7d07d749e371a8eff48b0f2746
commit 1571d1be96d24e7d07d749e371a8eff48b0f2746
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Fri Aug  9 17:22:10 2019 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Fri Aug  9 17:22:10 2019 -0400

    Merge pull request #646 from abellotti/allow_encrypted_fields_for_refresh_dialog_action

    Adding ability to override encrypted attribute behavior in responses

    (cherry picked from commit 2fa9a6f9ccc300b6dda490412183694f2f025851)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1740844

 app/controllers/api/base_controller.rb | 4 +
 app/controllers/api/base_controller/normalizer.rb | 6 +-
 app/controllers/api/service_dialogs_controller.rb | 8 +
 spec/requests/service_dialogs_spec.rb | 26 +
 4 files changed, 41 insertions(+), 3 deletions(-)

Comment 3 Niyaz Akhtar Ansari 2019-08-21 06:26:18 UTC
Verified in Version 5.10.9.0.20190819184228_a6f851e

Comment 5 errata-xmlrpc 2019-09-05 05:25:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2587


Note You need to log in before you can comment on or make changes to this bug.